--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: A ChannelList is an ArrayOf <tt>Channel</tt>s
constants: []

full_name: Irc::ChannelList
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: names
name: ChannelList
superclass: ArrayOf
